Zeichnen (Draft) > Gerade (Line)

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Line and the translation is 50% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎

Draft Line.svg Draft Linie

Menüeintrag
Entwurf → Linie
Arbeitsbereich
Draft, Arch
Standardtastenkürzel
L I
In der Version eingeführt
0.7
Siehe auch
Draft Linienzug, Draft Punkt


Beschreibung

Mit dem Werkzeug Gerade wird zwischen zwei vorgegebenen Punkten eine Gerade erzeugt. Linienstärke und -farbe richten sich nach der Voreinstellung mit Entwurf Tray. Das Werkzeug verhält sich genauso wie Linienzug, außer dass es nach zwei Punkten endet.

Draft Line example.jpg

Linie erzeugt durch zwei Punkte


Anwendung

  1. Drücke die Schaltfläche Draft Line.svg Draft Linie oder die Tasten L und I.
  2. Klicke einen ersten Punkt in der 3D-Ansicht oder tippe eine Koordinate und drücke die Schaltfläche Draft AddPoint.svg Punkt hinzufügen.
  3. Klicke einen zweiten Punkt in der 3D-Ansicht oder tippe eine Koordinate und drücke die Schaltfläche Draft AddPoint.svg Punkt hinzufügen.

Die Linie kann durch doppelklicken des Elements in der Baumansicht geändert werden oder durch drücken der Schaltfläche Draft Edit.svg Bearbeiten. Dann kannst Du die Punkte an eine andere Position ziehen.

Verschmelzen einzelner Linien

Wenn verschiedene verbundene Draft Linien ausgewählt sind, können sie durch Drücken des Draft Upgrade.svg Draft Hoststufen-Werkzeugs zu einem Linienzug verschmolzen werden; allerdings wird dieser Linienzug nicht änderbar sein. Um einen änderbaren Linienzug zu erzeugen, benutze Draft Upgrade.svg Hochstufen drei weitere Male an den neuen Formen (Linienzug, geschlossener Linienzug, Fläche). Du kann auch die ursprünglichen Linien mit dem Draft Wire.svg Linienzug-Werkzeug verschmelzen.

Ein Linienzug kann auch aus einer einzelnen Linie durch Hinzufügen eines weiteren Punkts entlang der Länge erzeugt werden. Um dies zu tun, drücke die Schaltfläche Draft AddPoint.svg Punkt hinzufügen und klicke irgendwo auf der Linie.

Optionen

  • Drücken von X, Y oder Z auf der Tastatur nach erfolgter Festlegung des ersten Punkts erzwingt für den zweiten Punkt den gleichen z-, y- bzw. z-Koordinaten-Wert
  • Nach Tastatur-Eingabe der kartesichen Koordinaten-Werte nach jedem x-, y- und/oder z-Wert die Eingabetaste (Enter) ENTER drücken.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the second point are relative to the first one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the Line tool will restart after you give the second point, allowing you to draw another line segment without pressing the Line button again.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your second point horizontally or vertically in relation to the first one.
  • Press CTRL+Z or press the Draft UndoLine.png Undo button to undo the last point.
  • Press ESC or the Cancel button to abort the current Line command.
  • If several connected Draft Lines are selected they can be transformed into a wire by pressing the Draft Upgrade Button.

Properties

  • Daten-EigenschaftStart: Der Startpunkt
  • Daten-EigenschaftEnd: Der Endpunkt
  • Daten-EigenschaftSubdivisions: Dividiert die Linie mit der angegebenen Anzahl von Unterteilungen verfügbar in Version 0.16

Daten

  • Daten-EigenschaftStart: Gibt den Startpunkt an.
  • Daten-EigenschaftEnd: Gibt den Endpunkt an.
  • Daten-EigenschaftSubdivisions: Gibt die Anzahl von inneren Knoten der Linie an. verfügbar in Version 0.16
  • Daten-EigenschaftLength: (nur-lesen) Gibt die Länge des Segments an.

View

  • VIEWEnd Arrow: if it is True it will display a symbol at the last point of the line, so it can be used as an annotation line.
  • VIEWArrow Size: specifies the size of the symbol displayed at the end of the line.
  • VIEWArrow Type: specifies the type of symbol displayed at the end of the line, which can be "Dot", "Circle", "Arrow", or "Tick".

Scripting

Siehe auch: Draft API und FreeCAD Scripting Basics.

Das Linie-Werkzeug kann in Makros und aus der Python-Konsole heraus durch folgende Funktion angesprochen werden:

Line = makeLine(p1, p2)
Line = makeLine(LineSegment)
Line = makeLine(Shape)
  • Erstellt ein Line-Objekt zwischen den beiden durch Vektoren gegebenen Punkten p1 and p2, die jeweils durch ihren FreeCAD.Vector definiert sind.
  • Erstellt eine Line aus einem Part.LineSegment
  • Erstellt eine Line vom ersten zum letzten Eckpunkt eines gegebenen Shape-Objekts

Beispiel:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 500, 0)
p3 = FreeCAD.Vector(-250, -500, 0)
p4 = FreeCAD.Vector(500, 1000, 0)

Line1 = Draft.makeLine(p1, p2)
Line2 = Draft.makeLine(p3, p4)